#include<stdio.h>
#include<math.h>
#include<stdlib.h>
main() {
int l,n,i,s=0,r;
scanf("%d%d",&n,&l);
int h[n];
for(i=1;i<=n;i++)
{scanf("%d",&h[i]);
if(h[i]<=l && s==0)
{r=i;
s=1;
}
}
if(s==0)
r=-1;
printf("%d",r);}